Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/dimension.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/dimension.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/dimension.f90	(revision 10251)
@@ -78,5 +78,5 @@
 !>
 !>    This subroutine filled dimension structure with unused dimension, 
-!>    then switch from "disordered" dimension to "ordered" dimension.<br/>
+!>    then switch from "unordered" dimension to "ordered" dimension.<br/>
 !>    The dimension structure return will be:<br/>
 !>    tl_dim(1) => 'X', i_len=10, l_use=T, l_uld=F<br/>
@@ -94,8 +94,8 @@
 !>    - cl_neworder : character(len=4) (example: 'yxzt')
 !>
-!>    to switch dimension array from ordered dimension to disordered
+!>    to switch dimension array from ordered dimension to unordered
 !> dimension:<br/>
 !> @code
-!>    CALL dim_disorder(tl_dim(:))
+!>    CALL dim_unorder(tl_dim(:))
 !> @endcode
 !>
@@ -111,7 +111,7 @@
 !>    CALL dim_reshape_2xyzt(tl_dim(:), value(:,:,:,:))
 !> @endcode
-!>       - value must be a 4D array of real(8) value "disordered"
-!>
-!>    to reshape array of value in "disordered" dimension:<br/>
+!>       - value must be a 4D array of real(8) value "unordered"
+!>
+!>    to reshape array of value in "unordered" dimension:<br/>
 !> @code
 !>    CALL dim_reshape_xyzt2(tl_dim(:), value(:,:,:,:))
@@ -123,10 +123,10 @@
 !>    CALL dim_reorder_2xyzt(tl_dim(:), tab(:))
 !> @endcode
-!>       - tab must be a 1D array with 4 elements "disordered".
+!>       - tab must be a 1D array with 4 elements "unordered".
 !>       It could be composed of character, integer(4), or logical
 !> 
-!>    to reorder a 1D array of 4 elements in "disordered" dimension:<br/>
-!> @code
-!>    CALL dim_reorder_xyzt2(tl_dim(:), tab(:))
+!>    to reorder a 1D array of 4 elements in "unordered" dimension:<br/>
+!> @code
+!>    CALL dim_reorder_2xyzt(tl_dim(:), tab(:))
 !> @endcode
 !>       - tab must be a 1D array with 4 elements "ordered".
@@ -173,6 +173,6 @@
    PUBLIC :: dim_print         !< print dimension information
    PUBLIC :: dim_copy          !< copy dimension structure
-   PUBLIC :: dim_reorder       !< filled dimension structure to switch from disordered to ordered dimension
-   PUBLIC :: dim_disorder      !< switch dimension array from ordered to disordered dimension
+   PUBLIC :: dim_reorder       !< filled dimension structure to switch from unordered to ordered dimension
+   PUBLIC :: dim_unorder       !< switch dimension array from ordered to unordered dimension
    PUBLIC :: dim_fill_unused   !< filled dimension structure with unused dimension 
    PUBLIC :: dim_reshape_2xyzt !< reshape array dimension to ('x','y','z','t')
@@ -321,6 +321,5 @@
    !> @author J.Paul
    !> @date November, 2013 - Initial Version
-   !> @date September, 2014 
-   !> - do not check if dimension used
+   !> @date September, 2014 - do not check if dimension used
    !>
    !> @param[in] td_dim    array of dimension structure
@@ -503,14 +502,8 @@
    !> Optionally length could be inform, as well as short name and if dimension
    !> is unlimited or not.<br/>
-   !> By default, define dimension is supposed to be used.
-   !> Optionally you could force a defined dimension to be unused. 
-   !>
-   !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date February, 2015 
-   !> - add optional argument to define dimension unused
-   !> @date July, 2015
-   !> - Bug fix: inform order to disorder table instead of disorder to order
-   !> table
+   !> define dimension is supposed to be used.
+   !>
+   !> @author J.Paul
+   !> @date November, 2013 - Initial Version
    !
    !> @param[in] cd_name   dimension name
@@ -518,8 +511,7 @@
    !> @param[in] ld_uld    dimension unlimited
    !> @param[in] cd_sname  dimension short name
-   !> @param[in] ld_uld    dimension use or not
    !> @return dimension structure
    !-------------------------------------------------------------------
-   TYPE(TDIM) FUNCTION dim_init( cd_name, id_len, ld_uld, cd_sname, ld_use)
+   TYPE(TDIM) FUNCTION dim_init( cd_name, id_len, ld_uld, cd_sname)
       IMPLICIT NONE
 
@@ -529,5 +521,4 @@
       LOGICAL,          INTENT(IN), OPTIONAL :: ld_uld
       CHARACTER(LEN=*), INTENT(IN), OPTIONAL :: cd_sname
-      LOGICAL,          INTENT(IN), OPTIONAL :: ld_use
 
       ! local variable
@@ -552,9 +543,5 @@
 
       ! define dimension is supposed to be used
-      IF( PRESENT(ld_use) )THEN
-         dim_init%l_use=ld_use
-      ELSE
-         dim_init%l_use=.TRUE.
-      ENDIF
+      dim_init%l_use=.TRUE.
 
       IF( PRESENT(cd_sname) )THEN
@@ -603,6 +590,6 @@
       ENDIF
       
-      ! get dimension order indices
-      dim_init%i_xyzt2=SCAN(TRIM(cp_dimorder),TRIM(dim_init%c_sname))
+      ! get dimension orderer index
+      dim_init%i_2xyzt=SCAN(TRIM(cp_dimorder),TRIM(dim_init%c_sname))
 
    END FUNCTION dim_init
@@ -668,6 +655,4 @@
    !> @author J.Paul
    !> @date November, 2013 - Initial Version
-   !> @date July, 2015 
-   !> - Bug fix: use order to disorder table (see dim_init)
    !>
    !> @param[in] td_dim array of dimension structure
@@ -701,6 +686,6 @@
          ! search missing dimension
          IF( INDEX(cl_dimin,TRIM(fct_lower(cp_dimorder(ji:ji)))) == 0 )THEN
-            ! search first empty dimension (see dim_init)
-            il_ind(:)=MINLOC( tl_dim(:)%i_xyzt2, tl_dim(:)%i_xyzt2 == 0 )
+            ! search first empty dimension
+            il_ind(:)=MINLOC( tl_dim(:)%i_2xyzt, tl_dim(:)%i_2xyzt == 0 )
 
             ! put missing dimension instead of empty one
@@ -708,5 +693,5 @@
             ! update output structure
             tl_dim(il_ind(1))%c_name=fct_lower(cp_dimorder(ji:ji))
-            tl_dim(il_ind(1))%i_xyzt2=ji
+            tl_dim(il_ind(1))%i_2xyzt=ji
             tl_dim(il_ind(1))%i_len=1
             tl_dim(il_ind(1))%l_use=.FALSE.
@@ -726,5 +711,5 @@
    !> This subroutine switch element of an array (4 elts) of dimension 
    !> structure 
-   !> from disordered dimension to ordered dimension <br/>
+   !> from unordered dimension to ordered dimension <br/>
    !>
    !> @details
@@ -737,6 +722,5 @@
    !> @author J.Paul
    !> @date November, 2013 - Initial Version
-   !> @date September, 2014 
-   !> - allow to choose ordered dimension to be output
+   !> @date September, 2014 - allow to choose ordered dimension to be output
    !>
    !> @param[inout] td_dim    array of dimension structure
@@ -827,5 +811,5 @@
    !-------------------------------------------------------------------
    !> @brief This subroutine switch dimension array from ordered dimension ('x','y','z','t')
-   !> to disordered dimension. <br/>
+   !> to unordered dimension. <br/>
    !> @details
    !> Example: (/'x','y','z','t'/) => (/'z','x','t','y'/)<br/>
@@ -838,5 +822,5 @@
    !> @param[inout] td_dim array of dimension structure
    !-------------------------------------------------------------------
-   SUBROUTINE dim_disorder(td_dim)
+   SUBROUTINE dim_unorder(td_dim)
       IMPLICIT NONE
       ! Argument      
@@ -851,5 +835,5 @@
 
       IF( SIZE(td_dim(:)) /= ip_maxdim )THEN
-         CALL logger_error("DIM DISORDER: invalid dimension of array dimension.")
+         CALL logger_error("DIM UNORDER: invalid dimension of array dimension.")
       ELSE      
          ! add dummy xyzt2 id to unused dimension
@@ -884,5 +868,5 @@
       ENDIF
 
-   END SUBROUTINE dim_disorder
+   END SUBROUTINE dim_unorder
    !-------------------------------------------------------------------
    !> @brief This function reshape real(8) 4D array   
@@ -924,6 +908,5 @@
 
       IF( SIZE(td_dim(:)) /= ip_maxdim )THEN
-         CALL logger_error("DIM RESHAPE 2 XYZT: invalid dimension of "//&
-            &  "array dimension.")
+         CALL logger_error("DIM RESHAPE 2 XYZT: invalid dimension of array dimension.")
       ELSE      
 
@@ -931,6 +914,6 @@
 
             CALL logger_fatal( &
-            &  "  DIM RESHAPE 2 XYZT: you should have run dim_reorder"// &
-            &  "   before running RESHAPE" )
+            &  "  DIM RESHAPE 2 XYZT: you should have run dim_reorder &
+            &     before running RESHAPE" )
 
          ENDIF
@@ -989,5 +972,5 @@
    !-------------------------------------------------------------------
    !> @brief This function reshape ordered real(8) 4D array with dimension 
-   !> (/'x','y','z','t'/) to an "disordered" array.<br/>
+   !> (/'x','y','z','t'/) to an "unordered" array.<br/>
    !> @details
    !> Example: (/'x','y','z','t'/) => (/'z','x','t','y'/)
@@ -1026,6 +1009,5 @@
 
       IF( SIZE(td_dim(:)) /= ip_maxdim )THEN
-         CALL logger_error("DIM RESHAPE XYZT 2: invalid dimension of "//&
-            &  "array dimension.")
+         CALL logger_error("DIM RESHAPE XYZT 2: invalid dimension of array dimension.")
       ELSE
 
@@ -1033,6 +1015,6 @@
 
             CALL logger_fatal( &
-            &  "  DIM RESHAPE XYZT 2: you should have run dim_reorder"// &
-            &  "   before running RESHAPE" )
+            &  "  DIM RESHAPE XYZT 2: you should have run dim_reorder &
+            &     before running RESHAPE" )
 
          ENDIF        
@@ -1122,6 +1104,6 @@
 
             CALL logger_error( &
-            &  "  DIM REORDER 2 XYZT: you should have run dim_reorder"//&
-            &  "   before running REORDER" )
+            &  "  DIM REORDER 2 XYZT: you should have run dim_reorder &
+            &     before running REORDER" )
 
          ENDIF        
@@ -1134,5 +1116,5 @@
    END FUNCTION dim__reorder_2xyzt_i4
    !-------------------------------------------------------------------
-   !> @brief This function disordered integer(4) 1D array to be suitable with
+   !> @brief This function unordered integer(4) 1D array to be suitable with
    !> initial dimension order (ex: dimension read in file).
    !> @note you must have run dim_reorder before use this subroutine
@@ -1161,12 +1143,12 @@
       IF( SIZE(td_dim(:)) /= ip_maxdim .OR. &
       &   SIZE(id_arr(:)) /= ip_maxdim )THEN
-         CALL logger_error("DIM REORDER XYZT 2: invalid dimension of "//&
-            &  "array dimension or of array of value.")
+         CALL logger_error("DIM REORDER XYZT 2: invalid dimension of array dimension"//&
+         &              " or of array of value.")
       ELSE      
          IF( ANY(td_dim(:)%i_xyzt2==0) )THEN
 
             CALL logger_error( &
-            &  "  DIM REORDER XYZT 2: you should have run dim_reorder"// &
-            &  "   before running REORDER" )
+            &  "  DIM REORDER XYZT 2: you should have run dim_reorder &
+            &     before running REORDER" )
 
          ENDIF        
@@ -1184,5 +1166,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> @date Nov, 2013 - Initial Version
    !
    !> @param[in] td_dim array of dimension structure
@@ -1211,6 +1193,6 @@
 
             CALL logger_error( &
-            &  "  DIM REORDER 2 XYZT: you should have run dim_reorder"// &
-            &  "   before running REORDER" )
+            &  "  DIM REORDER 2 XYZT: you should have run dim_reorder &
+            &     before running REORDER" )
 
          ENDIF        
@@ -1223,5 +1205,5 @@
    END FUNCTION dim__reorder_2xyzt_l
    !-------------------------------------------------------------------
-   !> @brief This function disordered logical 1D array to be suitable with
+   !> @brief This function unordered logical 1D array to be suitable with
    !> initial dimension order (ex: dimension read in file).
    !> @note you must have run dim_reorder before use this subroutine
@@ -1256,6 +1238,6 @@
 
             CALL logger_error( &
-            &  "  DIM REORDER XYZT 2: you should have run dim_reorder"//&
-            &  "  before running REORDER" )
+            &  "  DIM REORDER XYZT 2: you should have run dim_reorder &
+            &     before running REORDER" )
 
          ENDIF        
@@ -1312,10 +1294,10 @@
    END FUNCTION dim__reorder_2xyzt_c
    !-------------------------------------------------------------------
-   !> @brief This function disordered string 1D array to be suitable with
+   !> @brief This function unordered string 1D array to be suitable with
    !> initial dimension order (ex: dimension read in file).
    !> @note you must have run dim_reorder before use this subroutine
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> @date Nov, 2013 - Initial Version
    !
    !> @param[in] td_dim array of dimension structure
@@ -1344,6 +1326,6 @@
          IF( ANY(td_dim(:)%i_xyzt2==0) )THEN
             CALL logger_error( &
-            &  "  DIM REORDER XYZT 2: you should have run dim_reorder"// &
-            &  "   before running REORDER" )
+            &  "  DIM REORDER XYZT 2: you should have run dim_reorder &
+            &     before running REORDER" )
 
          ENDIF        
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/domain.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/domain.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/domain.f90	(revision 10251)
@@ -246,5 +246,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - Nov, 2013- Initial Version
    !
    !> @param[inout] td_dom dom structure
@@ -294,5 +294,5 @@
    !
    !> @author J.Paul
-   !> @date June, 2013 - Initial Version
+   !> - June, 2013- Initial Version
    !> @date September, 2014
    !> - add boundary index
@@ -362,7 +362,6 @@
 
          IF( td_mpp%i_perio < 0 .OR. td_mpp%i_perio > 6 )THEN
-            CALL logger_error("DOM INIT: invalid grid periodicity ("//&
-            &  TRIM(fct_str(td_mpp%i_perio))//&
-            &  ") you should use grid_get_perio to compute it")
+            CALL logger_error("DOM INIT: invalid grid periodicity. "//&
+            &  "you should use grid_get_perio to compute it")
          ELSE
             dom__init_mpp%i_perio0=td_mpp%i_perio
@@ -425,5 +424,5 @@
    !
    !> @author J.Paul
-   !> @date June, 2013 - Initial Version
+   !> - June, 2013- Initial Version
    !> @date September, 2014
    !> - add boundary index
@@ -490,7 +489,6 @@
 
          IF( td_file%i_perio < 0 .OR. td_file%i_perio > 6 )THEN
-            CALL logger_error("DOM INIT: invalid grid periodicity ("//&
-            &  TRIM(fct_str(td_file%i_perio))//&
-            &  ") you should use grid_get_perio to compute it")
+            CALL logger_error("DOM INIT: invalid grid periodicity. "//&
+            &  "you should use grid_get_perio to compute it")
          ELSE
             dom__init_file%i_perio0=td_file%i_perio
@@ -550,5 +548,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> - November, 2013- Subroutine written
    !
    !> @param[inout] td_dom domain structure
@@ -655,5 +653,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> - November, 2013- Subroutine written
    !> @date September, 2014
    !> - use zero indice to defined cyclic or global domain
@@ -723,5 +721,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial verison
+   !> - November, 2013- Subroutine written
    !
    !> @param[inout] td_dom domain strcuture
@@ -757,5 +755,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> - November, 2013- Subroutine written
    !
    !> @param[inout] td_dom domain strcuture
@@ -776,5 +774,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> - November, 2013- Subroutine written
    !
    !> @param[inout] td_dom domain strcuture
@@ -808,5 +806,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> - November, 2013- Subroutine written
    !
    !> @param[inout] td_dom domain strcuture
@@ -826,5 +824,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> - November, 2013- Subroutine written
    !
    !> @param[inout] td_dom domain strcuture
@@ -864,5 +862,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> - November, 2013- Subroutine written
    !
    !> @param[inout] td_dom domain strcuture
@@ -914,5 +912,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> - November, 2013- Subroutine written
    !
    !> @param[inout] td_dom domain strcuture
@@ -953,5 +951,5 @@
    !>
    !> @author J.Paul
-   !> @date April, 2013 - Initial version
+   !> - April, 2013- Subroutine written
    !
    !> @param[inout] td_dom domain strcuture
@@ -981,5 +979,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> - November, 2013- Subroutine written
    !
    !> @param[inout] td_dom domain strcuture
@@ -1043,5 +1041,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> - November, 2013- Subroutine written
    !
    !> @param[inout] td_dom domain strcuture
@@ -1084,5 +1082,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> - November, 2013- Subroutine written
    !
    !> @param[inout] td_dom domain strcuture
@@ -1182,5 +1180,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> - November, 2013- Subroutine written
    !
    !> @param[inout] td_dom domain strcuture
@@ -1294,5 +1292,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> @date November, 2013
    !> @date September, 2014
    !> - take into account number of ghost cell
@@ -1435,5 +1433,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> @date November, 2013
    !
    !> @param[inout] td_dom domain strcuture
@@ -1478,5 +1476,5 @@
    !> 
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> @date November, 2013
    !> @date September, 2014
    !> - take into account boundary for one point size domain
@@ -1717,5 +1715,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial version
+   !> @date November, 2013
    !
    !> @param[inout] td_dom domain strcuture
